SUMMARY = "Simple test for ChimeraTK"
SECTION = "examples"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

inherit pkgconfig

SRC_URI = "file://testread.cpp"

S = "${WORKDIR}"

DEPENDS = "deviceaccess"

do_compile() {
         ${CXX} `pkg-config ChimeraTK-DeviceAccess --cflags --libs` testread.cpp -o testread
}

do_install() {
         install -d ${D}/${bindir}/
         install -m 0755 testread ${D}/${bindir}
}

INSANE_SKIP_${PN} = "ldflags"
